.app-body{
    margin: 0;
    }

.ui_div {
    display:inline-block;

      color: #000;
      font-size: 1.2em;
      border-radius: 4px;
      padding: 5px;
      touch-action: none;
    overflow: hidden;
    overflow-wrap: anywhere;
    }


    .ui_div_name{
      vertical-align: middle;
    }

    .btn_delete_ui_node:hover{
        color:black;
    }

    .slider {
      -webkit-appearance: none;
      width: 100%;
      height: 25px;
      background: #d3d3d3;
      outline: none;
      opacity: 0.7;
      -webkit-transition: .2s;
      transition: opacity .2s;
    }

    .slider:hover {
      opacity: 1;
    }

    .slider::-webkit-slider-thumb {
      -webkit-appearance: none;
      appearance: none;
      width: 10px;
      height: 25px;
      background: black;
      cursor: pointer;
    }

    .slider::-moz-range-thumb {
      width: 10px;
      height: 25px;
      background: black;
      cursor: pointer;
    }

    .modal-dialog{
      max-width: 80%;
    }

    #snackbar {
      visibility: hidden;
      min-width: 250px;
      margin-left: -125px;
      background-color: #333;
      color: #fff;
      text-align: center;
      border-radius: 2px;
      padding: 16px;
      position: fixed;
      z-index: 1;
      left: 50%;
      bottom: 30px;
      font-size: 17px;
    }

    #snackbar.show {
      visibility: visible;
      -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
      animation: fadein 0.5s, fadeout 0.5s 2.5s;
    }

    @-webkit-keyframes fadein {
      from {bottom: 0; opacity: 0;}
      to {bottom: 30px; opacity: 1;}
    }

    @keyframes fadein {
      from {bottom: 0; opacity: 0;}
      to {bottom: 30px; opacity: 1;}
    }

    @-webkit-keyframes fadeout {
      from {bottom: 30px; opacity: 1;}
      to {bottom: 0; opacity: 0;}
    }

    @keyframes fadeout {
      from {bottom: 30px; opacity: 1;}
      to {bottom: 0; opacity: 0;}
    }

    .round {
      position: relative;
    }

    .round label {
      background-color: #fff;
      border: 1px solid #ccc;
      border-radius: 50%;
      cursor: pointer;
      height: 28px;
      left: 0;
      position: absolute;
      top: 0;
      width: 28px;
    }


    .round input[type="checkbox"] {
      visibility: hidden;
    }

    .round input[type="checkbox"]:checked + label {
      background-color: #ff0000;
      border-color: #ff0000;
    }

    .round input[type="checkbox"]:checked + label:after {
      opacity: 1;
    }

    .ui-widget.ui-widget-content {
        z-index: 999999999;
        overflow: scroll;
        height: 50%;
    }
    .ui_div_helper {
        display: none;
        position: absolute;
        bottom: 0;
        background-color: #5c6873;
        padding: 16px;
        margin: -5px;
        width: 100%;
        color: white;
    }
    #home{
        padding: 5px;
        }
    .mqtt_path{
        font-size: 14px;
        }
.grid-stack-item{
    border: 1px #000 solid;
    }

.resize-drag {
    background-color: #29e;
    color: white;
    font-size: 20px;
    font-family: sans-serif;
    border-radius: 8px;
    padding: 20px;
    touch-action: none;

    width: 120px;

    /* This makes things *much* easier */
    box-sizing: border-box;
    }